import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JTextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.FileNotFoundException;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPasswordField;


public class gui2 implements ActionListener{

	JFrame frame;
	JTextField textField;
	JTextField textField_1;
	JPasswordField textField_2;
	JButton btnClear;
	JButton btnGo;
	private String methodName;
	JButton btnBack;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					gui2 window = new gui2();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public gui2() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 450, 300);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().setLayout(null);
		
		textField = new JTextField();
		textField.setBounds(91, 59, 268, 32);
		frame.getContentPane().add(textField);
		textField.setColumns(10);
		
		textField_1 = new JTextField();
		textField_1.setBounds(91, 113, 268, 32);
		frame.getContentPane().add(textField_1);
		textField_1.setColumns(10);
		
		textField_2 = new JPasswordField();
		textField_2.setBounds(91, 166, 268, 32);
		frame.getContentPane().add(textField_2);
		textField_2.setColumns(10);
		
		JLabel lblPassword = new JLabel("Password");
		lblPassword.setBounds(23, 175, 58, 14);
		frame.getContentPane().add(lblPassword);
		
		JLabel lblUserName = new JLabel("UserName");
		lblUserName.setBounds(23, 122, 62, 14);
		frame.getContentPane().add(lblUserName);
		
		JLabel lblWebsite = new JLabel("Website");
		lblWebsite.setBounds(23, 68, 58, 14);
		frame.getContentPane().add(lblWebsite);
		
		btnGo = new JButton("Go");
		btnGo.setBounds(335, 228, 89, 23);
		frame.getContentPane().add(btnGo);
		
		btnClear = new JButton("Clear");
		btnClear.setBounds(236, 228, 89, 23);
		frame.getContentPane().add(btnClear);
		
		btnGo.addActionListener(this);
		btnClear.addActionListener(this);
		
		
		textField.setEditable(false);
		textField_1.setEditable(false);
		textField_2.setEditable(false);
		
		btnBack = new JButton("Back");
		btnBack.setBounds(10, 11, 71, 32);
		frame.getContentPane().add(btnBack);
		
		btnBack.addActionListener(this);
		
	}

	@SuppressWarnings("deprecation")
	public void actionPerformed(ActionEvent e) {
		
		
		PassMan manager = new PassMan();
		try {
			manager.readFile();
		} catch (FileNotFoundException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		JButton button = (JButton)(e.getSource());
		if(button == btnGo)
		{
			if (methodName.equals("removeSite"))
			{
				if(textField.getText().isEmpty())
				{
					JOptionPane.showConfirmDialog(frame, "Write a website name", "No input error", JOptionPane.PLAIN_MESSAGE);
				}
				else
				{
					try {
						manager.removeSite(textField.getText());
					} catch (Exception e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
					try {
						manager.printToFile();
					} catch (FileNotFoundException e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
					if(manager.getMap().containsKey(textField.getText()))
					{
						JOptionPane.showConfirmDialog(frame, "Fail", "Website not found", JOptionPane.PLAIN_MESSAGE);
					}
					else
						JOptionPane.showConfirmDialog(frame, "Success", "Website removed", JOptionPane.PLAIN_MESSAGE);
					textField.setText("");
					JOptionPane.showConfirmDialog(frame, manager.getMap().toString(),"All Sites" , JOptionPane.PLAIN_MESSAGE);
					this.frame.setVisible(false);
					try {
						gui3 window1= new gui3();
						window1.frmChooseAction.setVisible(true);
					} catch (Exception exception) {
						exception.printStackTrace();
					}

				}
			}
			else if(methodName.equals("retrieveCredentials"))
			{
				if(textField.getText().isEmpty())
				{
					JOptionPane.showConfirmDialog(frame, "Write a website name", "No input error", JOptionPane.PLAIN_MESSAGE);
				}
				else
				{
					JOptionPane.showConfirmDialog(frame, manager.getCredentials(textField.getText()).toString(), "Credentials", JOptionPane.PLAIN_MESSAGE);
					textField.setText("");
				}
				this.frame.setVisible(false);
				try {
					gui3 window1= new gui3();
					window1.frmChooseAction.setVisible(true);
				} catch (Exception exception) {
					exception.printStackTrace();
				}
			}
			else if(methodName.equals("add site"))
			{
				textField_1.setEditable(true);
				textField_2.setEditable(true);
				if(textField.getText().isEmpty())
				{
					JOptionPane.showConfirmDialog(frame, "Write a website name", "No input error", JOptionPane.PLAIN_MESSAGE);
				}
				if(textField_1.getText().isEmpty())
				{
					JOptionPane.showConfirmDialog(frame, "Write the username", "No input error", JOptionPane.PLAIN_MESSAGE);
				}
				if(textField_2.getText().isEmpty())
				{
					JOptionPane.showConfirmDialog(frame, "Write the password", "No input error", JOptionPane.PLAIN_MESSAGE);
				}
				else
				{
					try {
						manager.addSite(textField.getText(), textField_1.getText(), textField_2.getText());
					} catch (FileNotFoundException e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
					try {
						manager.printToFile();
					} catch (FileNotFoundException e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
					JOptionPane.showConfirmDialog(frame, "Success", "Site added", JOptionPane.PLAIN_MESSAGE);
					textField.setText("");
					textField_1.setText("");
					textField_2.setText("");
					this.frame.setVisible(false);
					try {
						gui3 window1= new gui3();
						window1.frmChooseAction.setVisible(true);
					} catch (Exception exception) {
						exception.printStackTrace();
					}
				}
			}
			
		}
		else if(button == btnClear)
		{
			textField.setText("");
			textField_1.setText("");
			textField_2.setText("");
		}
		else if(button == btnBack)
		{
			this.frame.setVisible(false);
			try {
				gui3 window1= new gui3();
				window1.frmChooseAction.setVisible(true);
			} catch (Exception exception) {
				exception.printStackTrace();
			}
		}
	}
	public void setMethodName(String method)
	{
		methodName = method;
	}
}
