import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.FileNotFoundException;


public class gui3 implements ActionListener{

	JFrame frmChooseAction;
	JButton btnRemoveSite;
	JButton btnAddSite;
	JButton btnRetrieveCredentials;
	JLabel lblChooseAnAction;
	JButton btnShowSites;
	JButton btnLogout;
	gui2 window;
	JButton btnPrintToFile;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					gui3 window = new gui3();
					window.frmChooseAction.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public gui3() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frmChooseAction = new JFrame();
		frmChooseAction.setResizable(false);
		frmChooseAction.setTitle("Choose action");
		frmChooseAction.setBounds(100, 100, 450, 300);
		frmChooseAction.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frmChooseAction.getContentPane().setLayout(null);
		
		btnRemoveSite = new JButton("Remove Site");
		btnRemoveSite.setBounds(28, 78, 112, 47);
		frmChooseAction.getContentPane().add(btnRemoveSite);
		
		btnAddSite = new JButton("Add Site");
		btnAddSite.setBounds(306, 78, 103, 47);
		frmChooseAction.getContentPane().add(btnAddSite);
		
		btnRetrieveCredentials = new JButton("Retrieve Credentials");
		btnRetrieveCredentials.setBounds(150, 78, 146, 47);
		frmChooseAction.getContentPane().add(btnRetrieveCredentials);
		
		lblChooseAnAction = new JLabel("Choose an Action");
		lblChooseAnAction.setFont(new Font("Segoe Print", Font.PLAIN, 14));
		lblChooseAnAction.setBounds(150, 11, 146, 36);
		frmChooseAction.getContentPane().add(lblChooseAnAction);
		
		btnShowSites = new JButton("Show Sites");
		btnShowSites.setBounds(28, 136, 178, 59);
		frmChooseAction.getContentPane().add(btnShowSites);
		
		btnLogout = new JButton("Logout");
		btnLogout.setBounds(351, 228, 73, 23);
		frmChooseAction.getContentPane().add(btnLogout);
		
		btnPrintToFile = new JButton("Print to File");
		btnPrintToFile.setBounds(231, 136, 178, 59);
		frmChooseAction.getContentPane().add(btnPrintToFile);
		
		
		btnAddSite.addActionListener(this);
		btnRemoveSite.addActionListener(this);
		btnRetrieveCredentials.addActionListener(this);
		btnShowSites.addActionListener(this);
		btnLogout.addActionListener(this);
		
		btnPrintToFile.addActionListener(this);
	}

	public void actionPerformed(ActionEvent e) {
		
		
		PassMan manager = new PassMan();
		try {
			manager.readFile();
		} catch (FileNotFoundException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		JButton button = (JButton)e.getSource();
		if(button == btnRemoveSite)
		{
			this.frmChooseAction.setVisible(false);
			try {
				window = new gui2();
				window.frame.setVisible(true);
			} catch (Exception exception) {
				exception.printStackTrace();
			}
			window.frame.setTitle("Remove Site");
			window.setMethodName("removeSite");
			window.textField.setEditable(true);
		}
		else if(button == btnRetrieveCredentials)
		{
			this.frmChooseAction.setVisible(false);
			try {
				window = new gui2();
				window.frame.setVisible(true);
			} catch (Exception exception) {
				exception.printStackTrace();
			}
			window.frame.setTitle("Retrieve Credentials");
			window.setMethodName("retrieveCredentials");
			window.textField.setEditable(true);
		}
		else if(button == btnAddSite)
		{
			this.frmChooseAction.setVisible(false);
			try {
				window = new gui2();
				window.frame.setVisible(true);
			} catch (Exception exception) {
				exception.printStackTrace();
			}
			window.frame.setTitle("Add Site");
			window.setMethodName("add site");
			window.textField.setEditable(true);
			window.textField_1.setEditable(true);
			window.textField_2.setEditable(true);
		}
		else if(button == btnShowSites)
		{
			JOptionPane.showConfirmDialog(frmChooseAction, manager.listAllSites().toString(),"All Sites" , JOptionPane.PLAIN_MESSAGE);
		}
		else if(button == btnPrintToFile)
		{
			try {
				manager.printToFile();
			} catch (FileNotFoundException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
			JOptionPane.showConfirmDialog(frmChooseAction, manager.getMap().toString(),"All Sites Printed To File Successfully" , JOptionPane.PLAIN_MESSAGE);

		}
		else if(button == btnLogout)
		{
			this.frmChooseAction.setVisible(false);
			try {
				gui window = new gui();
				window.frmWelcome.setVisible(true);
			} catch (Exception exception) {
				exception.printStackTrace();
			}
		}
		else if(button == btnRetrieveCredentials)
		{
			this.frmChooseAction.setVisible(false);
			try {
				gui window = new gui();
				window.frmWelcome.setVisible(true);
			} catch (Exception exception) {
				exception.printStackTrace();
			}
			window.textField.setEditable(true);
			window.setMethodName("retrieveCredentials");
		}
	}
}
